
<?php 


// Carregar a chave privada
$private_key = openssl_pkey_get_private(file_get_contents('PrivateKey.prk'));

// Extrair a chave pública correspondente
$public_key_details = openssl_pkey_get_details($private_key);
$public_key = $public_key_details['key'];

// Salvar a chave pública em um arquivo
file_put_contents('PublicKey.pem', $public_key);

// Liberar recursos
openssl_free_key($private_key);

echo "Chave pública extraída e salva com sucesso.\n";


?>